/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * ソースコード自動生成ライブラリ blancoCg のPOJOクラスです。
 */
package blanco.cg.valueobject;

import java.util.ArrayList;

/**
 * 言語用のドキュメントを表現するためのバリューオブジェクト。<br>
 * Java言語の場合には JavaDocを表します。自動生成時に他の「説明」フィールドやメソッドのパラメータなどから情報が構築される場合があります。<br>
 * ※ポイント：コメント文字列のエスケープ処理などは、blancoCgに与える前に実施されている必要があります。
 */
public class BlancoCgLangDoc {
    /**
     * フィールド [title]
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタイトル説明です。他の原料のdescriptionから自動生成されることが多いです。
     */
    private String fTitle;

    /**
     * フィールド [descriptionList]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * この言語ドキュメントの詳細説明です。(java.lang.String)のリストです。<br>
     * 文字列エスケープなどを行ったあとの値をセットするようにします。(エスケープ後のものを与えるからこそ、&lt;pre&gt;などを実現することができるのです。)
     */
    private ArrayList fDescriptionList = new ArrayList();

    /**
     * フィールド [deprecated]
     *
     * 項目の型 [java.lang.String]<br>
     * 推奨されない場合に、非推奨の理由が記載されます。
     */
    private String fDeprecated;

    /**
     * フィールド [parameterList]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * パラメータのリストです。メソッドの場合にのみ利用されます。
     */
    private ArrayList fParameterList = new ArrayList();

    /**
     * フィールド [return]
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。<br>
     * 戻り値が無い (void)の場合には nullをセットします。
     */
    private BlancoCgReturn fReturn;

    /**
     * フィールド [throwList]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * 発生しうる例外の一覧です。メソッドの場合にのみ利用されます。
     */
    private ArrayList fThrowList = new ArrayList();

    /**
     * フィールド [tagList]
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * 言語ドキュメントのタグのリスト。BlancoCgLangDocTagがリストに格納されます。
     */
    private ArrayList fTagList = new ArrayList();

    /**
     * フィールド [title]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタイトル説明です。他の原料のdescriptionから自動生成されることが多いです。
     *
     * @param argTitle フィールド[title]に格納したい値
     */
    public void setTitle(final String argTitle) {
        fTitle = argTitle;
    }

    /**
     * フィールド[title]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタイトル説明です。他の原料のdescriptionから自動生成されることが多いです。
     *
     * @return フィールド[title]に格納されている値
     */
    public String getTitle() {
        return fTitle;
    }

    /**
     * フィールド [descriptionList]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * この言語ドキュメントの詳細説明です。(java.lang.String)のリストです。<br>
     * 文字列エスケープなどを行ったあとの値をセットするようにします。(エスケープ後のものを与えるからこそ、&lt;pre&gt;などを実現することができるのです。)
     *
     * @param argDescriptionList フィールド[descriptionList]に格納したい値
     */
    public void setDescriptionList(final ArrayList argDescriptionList) {
        fDescriptionList = argDescriptionList;
    }

    /**
     * フィールド[descriptionList]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * この言語ドキュメントの詳細説明です。(java.lang.String)のリストです。<br>
     * 文字列エスケープなどを行ったあとの値をセットするようにします。(エスケープ後のものを与えるからこそ、&lt;pre&gt;などを実現することができるのです。)
     *
     * @return フィールド[descriptionList]に格納されている値
     */
    public ArrayList getDescriptionList() {
        return fDescriptionList;
    }

    /**
     * フィールド [deprecated]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 推奨されない場合に、非推奨の理由が記載されます。
     *
     * @param argDeprecated フィールド[deprecated]に格納したい値
     */
    public void setDeprecated(final String argDeprecated) {
        fDeprecated = argDeprecated;
    }

    /**
     * フィールド[deprecated]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 推奨されない場合に、非推奨の理由が記載されます。
     *
     * @return フィールド[deprecated]に格納されている値
     */
    public String getDeprecated() {
        return fDeprecated;
    }

    /**
     * フィールド [parameterList]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * パラメータのリストです。メソッドの場合にのみ利用されます。
     *
     * @param argParameterList フィールド[parameterList]に格納したい値
     */
    public void setParameterList(final ArrayList argParameterList) {
        fParameterList = argParameterList;
    }

    /**
     * フィールド[parameterList]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * パラメータのリストです。メソッドの場合にのみ利用されます。
     *
     * @return フィールド[parameterList]に格納されている値
     */
    public ArrayList getParameterList() {
        return fParameterList;
    }

    /**
     * フィールド [return]のセッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。<br>
     * 戻り値が無い (void)の場合には nullをセットします。
     *
     * @param argReturn フィールド[return]に格納したい値
     */
    public void setReturn(final BlancoCgReturn argReturn) {
        fReturn = argReturn;
    }

    /**
     * フィールド[return]のゲッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。<br>
     * 戻り値が無い (void)の場合には nullをセットします。
     *
     * @return フィールド[return]に格納されている値
     */
    public BlancoCgReturn getReturn() {
        return fReturn;
    }

    /**
     * フィールド [throwList]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 発生しうる例外の一覧です。メソッドの場合にのみ利用されます。
     *
     * @param argThrowList フィールド[throwList]に格納したい値
     */
    public void setThrowList(final ArrayList argThrowList) {
        fThrowList = argThrowList;
    }

    /**
     * フィールド[throwList]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * 発生しうる例外の一覧です。メソッドの場合にのみ利用されます。
     *
     * @return フィールド[throwList]に格納されている値
     */
    public ArrayList getThrowList() {
        return fThrowList;
    }

    /**
     * フィールド [tagList]のセッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 言語ドキュメントのタグのリスト。BlancoCgLangDocTagがリストに格納されます。
     *
     * @param argTagList フィールド[tagList]に格納したい値
     */
    public void setTagList(final ArrayList argTagList) {
        fTagList = argTagList;
    }

    /**
     * フィールド[tagList]のゲッターメソッド
     *
     * 項目の型 [java.util.ArrayList]<br>
     * 規定値   [new ArrayList()]<br>
     * 言語ドキュメントのタグのリスト。BlancoCgLangDocTagがリストに格納されます。
     *
     * @return フィールド[tagList]に格納されている値
     */
    public ArrayList getTagList() {
        return fTagList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgLangDoc[");
        buf.append("title=" + fTitle);
        buf.append(",descriptionList=" + fDescriptionList);
        buf.append(",deprecated=" + fDeprecated);
        buf.append(",parameterList=" + fParameterList);
        buf.append(",return=" + fReturn);
        buf.append(",throwList=" + fThrowList);
        buf.append(",tagList=" + fTagList);
        buf.append("]");
        return buf.toString();
    }
}
